class V1::ActivitiesController < ApplicationController
  include ::ResourceModel
  before_action :authenticate_user!

  # GET v1/activities
  # GET v1/activities.json
  # Render all activities that logged user can see
  def index
    authorize :activity, :index?
    render json: ActivitiyPolicy::Scope.new(current_user, PublicActivity::Activity).resolve
  end

  # GET v1/users/1/activities
  # GET v1/users/1/activities.json
  # Render specific user activities
  # Only followers can see user activities
  def user_activities
    raise Pundit::NotAuthorizedError unless ActivitiyPolicy.new(current_user, resource_model).user_activities?
    render json: resource_model.activities
  end

end
