class V1::ComplaintsController < ApplicationController
  include ::DeletedObjectsController

  before_action :authenticate_user!, only: [:create]

  # GET v1/complaint
  # GET v1/complaint.json
  def index
    render json: Complaint.all
  end

  # GET v1/complaint
  # GET v1/complaint.json
  def create
    complaint = Complaint.new(complaint_params)

    if complaint.save
      render json: complaint, status: :created
    else
      render json: complaint.errors, status: :unprocessable_entity
    end
  end

  private

  def deleted_resource
    Complaint
  end

  def complaint_params
    params.require(:complaint).permit(:user_id, :description,:complaintable_id, :complaint_reason_id, :complaintable_type)
  end

end
