class Application < ActiveRecord::Base
  belongs_to :user

  validates :domain, presence: true, uniqueness: true
  validates :application_id, presence: true, uniqueness: true
  before_create :generate_application_id

  private

  def generate_application_id
    @application_id = SecureRandom.uuid.to_s
    generate_application_id if self.class.find_by_application_id(@application_id)
  end
end
