# == Schema Information
#
# Table name: institutions
#
#  id          :integer          not null, primary key
#  name        :string
#  address     :string
#  city        :string
#  country     :string
#  description :text
#  created_at  :datetime         not null
#  updated_at  :datetime         not null
#

class Institution < ActiveRecord::Base
  include Tagger

  # *current_user* add member for instituion *name*
  # *current_user* create instituion
  # *current_user* destroy instituion
  # *current_user* update instituion
  include Trackable

  has_and_belongs_to_many :users
  has_many :learning_objects, as: :publisher
  has_many :collections, as: :owner

  validates_presence_of :name

  acts_as_paranoid
  has_paper_trail
end
