# == Schema Information
#
# Table name: roles
#
#  id          :integer          not null, primary key
#  name        :string
#  description :text
#  created_at  :datetime         not null
#  updated_at  :datetime         not null
#

class Role < ActiveRecord::Base
  has_and_belongs_to_many :users

  validates_presence_of :name
  validates_uniqueness_of :name

  def self.admin
    self.find_by_name('admin') || self.create!(name: 'admin')
  end

  def self.teacher
    self.find_by_name('teacher') || self.create!(name: 'teacher')
  end

  def self.student
    self.find_by_name('student') || self.create!(name: 'student')
  end

  def self.curator
    self.find_by_name('curator') || self.create!(name: 'curator')
  end
end
