class LearningObjectPolicy < ApplicationPolicy
  include SociablePolicy
  include ReportablePolicy
  include TaggablePolicy

  class Scope < Scope
    def resolve
      if user.nil?
        scope.where(state: 'published')
      elsif user.is_admin?
        scope.all
      else
        scope.where(state: 'published')
      end
    end
  end

  def create?
    record if user_exists?
  end

  def update?
    record if owns?
  end

  def destroy?
    record if owns?
  end

  def destroy_attachment?
    record if owns?
  end

  def remove_thumbnail?
    record if owns?
  end

  def show?
    if user.nil?
      record.state == 'published'
    elsif user.is_admin?
      record
    else
      record.state == 'published'
    end
  end

  def index?
    record
  end
  
  def add_object?
    record if user_exists?
  end

  def remove_object?
    record if user_exists?
  end

  def owner
    record.publisher
  end

end
