class DspaceUploadWorker
  include Sidekiq::Worker

  @@dspace= nil

  def perform(learning_object_id, item_id, media_path, description = nil)
    # create file instance
    file = File.new(media_path, 'r')

    #create bitstream in dspace
    bitstream = dspace.items.add_bitstream(file, id: item_id, name: File.basename(media_path), description: description)

    #find learning object
    learning_object = LearningObject.find learning_object_id
    attachment = learning_object.attachments.create map_bitstream2attachment(bitstream)
    publisher.publish learning_object

    ThumbnailGenerateWorker.perform_async attachment.id, media_path
  end

  private

  def publisher
    @publisher ||= LearningObjectPublisher.new(dspace)
  end

  def map_bitstream2attachment(bitstream, options = {})
    ::Dspace::AttachmentMapper.call bitstream, options
  end

  def dspace
    @@dspace ||= DspaceService.create_client
  end

end
